# eric6.Plugins.VcsPlugins.vcsMercurial.HisteditExtension.HgHisteditEditor

Module implementing the main script for histedit.

Depending on the file name given by the Mercurial histedit command one of two possible dialogs will be shown.

### Global Attributes

None

### Classes

None

### Functions

createMainWidget | Function to create the main widget.
main | Main entry point into the application.

## createMainWidget

createMainWidget(argv)

Function to create the main widget.

argv (list of str)
  list of commandline parameters

Returns:
  reference to the main widget or None in case of an error

Return Type:
  QWidget or None

Up

## main

main()

Main entry point into the application.

Up